my dog learned polymorphism*
The moose likes Game Development and the fly likes Gotta show off Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login
JavaRanch » Java Forums » Java » Game Development
Bookmark "Gotta show off" Watch "Gotta show off" New topic
Author

Gotta show off

Nick George
Ranch Hand

Joined: Apr 04, 2004
Posts: 815
Sorry folks, but I just gotta.
For 'ranchers who have JoGL:

Iso Game for those of us poisoned by Dvorak
Iso Game for those blissfully untainted by Dvorak

Move the camera with WASD (COMMA-A-O-E for us Dvorakers), change angle with arrows, go up/down with mousewheel)

It's no Lord of the Rings, but I'm proud.

Some fun angles:

Charge of the Light Brigade:


Let fly a volley of arrows!


Only pawns in our games...

[ December 30, 2005: Message edited by: Nick George ]

I've heard it takes forever to grow a woman from the ground
Nick George
Ranch Hand

Joined: Apr 04, 2004
Posts: 815
Now, I need to decide where to take this. There's always the Starcraft route. I was thinking a game in the starcraft tradition, only in full 3d, and in which you can at any point go into first-person control over a unit- that is to say, take over one of the cannons, aim, and fire yourself.

Suggestions?
Ernest Friedman-Hill
author and iconoclast
Marshal

Joined: Jul 08, 2003
Posts: 24183
    
  34

Very cool. A good thing to show people who talk about Java and performance. The sheer number of simultaneously active 3D animations is impressive.

I actually don't have any experience playing the kinds of games you're talking about so I won't comment on future direction except to wonder what it would look like with some texture-mapped skins and terrain?


[Jess in Action][AskingGoodQuestions]
David O'Meara
Rancher

Joined: Mar 06, 2001
Posts: 13459

Oops



Looks like I caught it mid-version...
Nick George
Ranch Hand

Joined: Apr 04, 2004
Posts: 815
That's a really bizare error... what's it mean?
Nick George
Ranch Hand

Joined: Apr 04, 2004
Posts: 815
Note that java seems to have recently come out with a new version (5.06?). That means that yous with JoGL need to re-put the files into the new directories for jars to work. Highly irritating.
Ernest Friedman-Hill
author and iconoclast
Marshal

Joined: Jul 08, 2003
Posts: 24183
    
  34

David's error just means Java 5 is required because the classes were compiled with Java 5 -- he's apparently using 1.4. Get with the program Mr. O!
David O'Meara
Rancher

Joined: Mar 06, 2001
Posts: 13459

Aah, some of us are limitted by requirements. We only recently updated to 1.4
I have 1.5 installed, I'll try again with the correct version.
 
I agree. Here's the link: http://aspose.com/file-tools
 
subject: Gotta show off
 
Similar Threads
rating
going to take the exam on 31st
Where can i find help on the new 1.4 exam topics ?
Need help with SCJP 1.4
Interview Questions